add_subdirectory( icons )
add_subdirectory( pics  )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kpercentage (executable)

tde_add_executable( kpercentage AUTOMOC

  SOURCES
        kanimation.cpp
        kanswer.cpp
        kpercentmain.cpp
        kpercentage.cpp
        ksplashscreen.cpp
        main.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop( kpercentage.desktop )

install(
    FILES right.txt wrong.txt
    DESTINATION ${DATA_INSTALL_DIR}/kpercentage
)
